Bug 58337 - Using older getty_ps, Pam locks the system repeatedly
Using older getty_ps, Pam locks the system repeatedly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-14 12:30 EST by dime
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dime 2002-01-14 12:30:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
RedHat 7.2 does not come with getty_ps (the regular getty program RedHat has 
always used).  There are issues with agetty so we aren't using it (would like 
to but simply can't figure out how to make it set parameters on the lines such 
as flow control automatically, i.e. there's no config file for that).  So we 
used getty_ps from RH 6.2.  It seems to work, but for some reason when all 
terminals (Wyse 160 terminals connected via Cyclades YeP) are off, getty starts 
recieving garbage logins (about 7 lines in the logs of just pure garbage 
characters).  This happens repeatedly and after about a day of this, the system 
locks up.  I'm not sure why.  The first thing you would think of would be that 
there's noise in the lines.  But the problem is it never did this with 6.2 or 
with 7.2 when using the agetty packages.  Just when I use the 6.2 getty_ps on 
7.2 does it do this.  But the real problem is not the logs filling up, but why 
the system locks up.  It will respond to pings but nothing else.  We are using 
the SMP kernel supplied with 7.2 if that helps.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use RedHat 7.2 with the 6.2 getty_ps rpms.  Cyclades Yep and and wyse 
terminals.
2.  Turn them all off and wait till the logs fill up with garbage login 
attempts.
3.  System will lock after (I guess) pam exauhsts all system resources.
	

Actual Results:  Lock up of machine

Expected Results:  Machine should not lock up.

Additional info:

Jan 11 17:32:28 gulf login(pam_unix)[9736]: bad username [CB+C-[uwB?o}
wB?omou\177B?{uou}{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}
B?wu}oB-_uooB/C-C+C-C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou
Jan 11 17:32:28 gulf login[9736]: FAILED LOGIN 1 FROM (null) FOR CB+C-[uwB?o}
wB?omou\177B?{uou}{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}
B?wu}oB-_uooB/C-C+C-C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/wuow{}ou{B/{omB?oowmoB;B?CB+C-[uwB?o}wB?omou\177B?{uou}
{uB?B7B/B;B?B/uomwm}B-C-C+ku{ouoB?B;B/B7B/B7B-B=B?{m\177B?ooB?}B?wu}oB-_uooB/C-C+C-
C+wuowB/w
Comment 1 Bill Nottingham 2002-01-24 01:58:44 EST
If the system locks completely, that indicates some sort of kernel problem, usually.
Comment 2 Bugzilla owner 2004-09-30 11:39:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.